POST api/PBI_role/role
Request Information
URI Parameters
None.
Body Parameters
PBI_RoleViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
None. |
|
| code | string |
Required |
|
| customer_ID | globally unique identifier |
None. |
|
| customerName | string |
None. |
|
| id | globally unique identifier |
None. |
|
| names | Dictionary of string [key] and string [value] |
Required |
|
| permissions | Collection of PBI_PermissionsViewModel |
Required |
|
| site_ID | globally unique identifier |
Required |
|
| siteName | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": "sample string 2",
"customer_ID": "b6187a00-27d7-4b04-b15e-bc9be09400d6",
"customerName": "sample string 4",
"id": "d6343276-7abf-41c6-952b-b0531d3ee1f5",
"names": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"permissions": [
{
"id": "ead49e36-f647-4203-8d30-9422386b4cf4",
"active": true,
"foreign_ID": "17f93047-67da-47a3-82d5-073af1ba865a",
"foreign_Label": "sample string 3",
"type": 1
},
{
"id": "ead49e36-f647-4203-8d30-9422386b4cf4",
"active": true,
"foreign_ID": "17f93047-67da-47a3-82d5-073af1ba865a",
"foreign_Label": "sample string 3",
"type": 1
}
],
"site_ID": "42542976-d1e0-4d7a-81bb-2c159edede98",
"siteName": "sample string 8"
}
application/xml, text/xml
Sample:
<PBI_RoleViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<customerName>sample string 4</customerName>
<customer_ID>b6187a00-27d7-4b04-b15e-bc9be09400d6</customer_ID>
<id>d6343276-7abf-41c6-952b-b0531d3ee1f5</id>
<names xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</names>
<permissions>
<PBI_PermissionsViewModel>
<Active>true</Active>
<Foreign_ID>17f93047-67da-47a3-82d5-073af1ba865a</Foreign_ID>
<Foreign_Label>sample string 3</Foreign_Label>
<ID>ead49e36-f647-4203-8d30-9422386b4cf4</ID>
<type>SiteCustomer</type>
</PBI_PermissionsViewModel>
<PBI_PermissionsViewModel>
<Active>true</Active>
<Foreign_ID>17f93047-67da-47a3-82d5-073af1ba865a</Foreign_ID>
<Foreign_Label>sample string 3</Foreign_Label>
<ID>ead49e36-f647-4203-8d30-9422386b4cf4</ID>
<type>SiteCustomer</type>
</PBI_PermissionsViewModel>
</permissions>
<siteName>sample string 8</siteName>
<site_ID>42542976-d1e0-4d7a-81bb-2c159edede98</site_ID>
</PBI_RoleViewModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"be582c7c-3834-4612-a8fa-36fb9247a348"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">be582c7c-3834-4612-a8fa-36fb9247a348</guid>